/* BEGIN STYLE CLASSES */
.psc-components\/group-label {
  font-size: 15px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}

.psc-components\/measurement-heading {
  color: var(--neutral-70);
  font-size: clamp(10px, 1.5vw, 12px);
  font-weight: bold;
  letter-spacing: 1px;
  padding-left: 16px;
  text-align: center;
  text-transform: uppercase;
}

.psc-components\/measurement-label {
  color: var(--neutral-70);
  font-size: clamp(10px, 1.5vw, 12px);
  padding-right: 5px;
  text-align: right;
}

.psc-components\/measurement-value {
  background-color: var(--neutral-10);
  color: var(--qual-10);
  font-size: 12px;
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-components\/measurement-value-faulted {
  background-color: var(--neutral-10);
  color: var(--error);
  font-size: clamp(10px, 1.5vw, 12px);
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-components\/measurement-value-setpoint {
  background-color: var(--neutral-10);
  color: var(--neutral-90);
  font-size: clamp(10px, 1.5vw, 12px);
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-components\/navigation {
  background-color: var(--neutral-20);
  padding: 5px;
}

.psc-components\/navigation-label {
  font-size: 10px;
  font-weight: bold;
  overflow-wrap: normal;
  text-align: center;
}

.psc-components\/navigation-selected {
  background-color: var(--neutral-30);
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
}

.psc-components\/overview-template {
  background-color: var(--neutral-10);
  border-color: var(--neutral-30);
  border-style: solid;
  border-width: thin;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  cursor: pointer;
  margin: 5px;
  outline-style: none;
  padding: 5px;
}

.psc-components\/overview-template-label {
  font-size: 14px;
  font-weight: bold;
  text-transform: uppercase;
}

.psc-components\/overview-template-level {
  font-size: 16px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}

.psc-components\/overview-template-remark {
  font-size: 9px;
  font-style: italic;
}

.psc-components\/overview-template_old {
  background-color: var(--neutral-20);
  border-color: var(--neutral-30);
  border-style: solid;
  border-width: thin;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  margin: 5px;
  outline-style: none;
  padding: 5px;
}

.psc-components\/scenario {
  background-color: var(--neutral-20);
  border-style: none;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  margin-bottom: 2px;
  margin-left: 5px;
  margin-right: 5px;
  margin-top: 2px;
  padding: 5px;
}

.psc-components\/scenario-header {
  color: var(--neutral-70);
  font-size: 12px;
  font-weight: bolder;
  margin-left: 2px;
  margin-right: 2px;
  text-align: center;
}

.psc-components\/scenario-label {
  color: var(--neutral-70);
  font-size: 12px;
  margin-left: 2px;
  margin-right: 2px;
  text-align: center;
}

.psc-components\/scenario-label-active {
  background-color: var(--success);
  color: var(--neutral-20);
  font-size: 12px;
  margin-left: 2px;
  margin-right: 2px;
  text-align: center;
}

.psc-components\/setting-label {
  color: var(--neutral-70);
  font-size: 13px;
  padding-left: 5px;
  padding-right: 5px;
  text-align: right;
}

.psc-components\/setting-value {
  color: var(--neutral-90);
  font-size: 12px;
  font-weight: bolder;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-components\/status {
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  font-size: 12px;
  font-weight: bold;
  margin-bottom: 3px;
  margin-left: 3px;
  margin-right: 3px;
  margin-top: 3px;
  text-align: center;
  text-transform: uppercase;
}

.psc-components\/status-auto {
  background-color: var(--success);
  color: #FAFAFA;
}

.psc-components\/status-device {
  color: var(--qual-10);
  font-size: 12px;
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-components\/status-disabled {
  background-color: var(--neutral-20);
  color: var(--neutral-40);
}

.psc-components\/status-error {
  background-color: var(--error);
  color: #FAFAFA;
}

.psc-components\/status-important {
  background-color: var(--warninig);
  color: #FAFAFA;
}

.psc-components\/status-local {
  background-color: #FFFF00;
  color: #323232;
}

.psc-components\/status-neutral {
  background-color: var(--neutral-30);
  color: var(--neutral-90);
}

.psc-components\/status-notconnected {
  background-color: var(--callToAction--active);
  color: #FAFAFA;
}

.psc-components\/status-notwork {
  background-color: var(--neutral-20);
  color: var(--neutral-40);
}

.psc-components\/status-success {
  background-color: var(--success);
  color: #FAFAFA;
}

.psc-components\/status-warning {
  background-color: var(--warning);
  color: #FAFAFA;
}

.psc-components\/user-string {
  background-color: var(--neutral-80);
  border-color: var(--neutral-10);
  border-style: solid;
  border-width: 1px;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  color: var(--neutral-10);
  font-size: 20px;
  font-weight: 300;
  margin: 7px;
  text-transform: uppercase;
}

.psc-components\/vertical-data-label {
  color: var(--neutral-70);
  font-size: 10px;
  padding-right: 5px;
  text-align: center;
}

.psc-components\/vertical-data-value {
  font-size: 12px;
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-components\/vertical-number-label {
  color: var(--neutral-60);
  font-size: clamp(8px, 1.2vw, 10px);
  margin-left: 5px;
}

.psc-components\/vertical-number-value {
  font-size: clamp(15px, 1.5vw, 20px);
  font-weight: bold;
  text-align: center;
}

.psc-components\/warning-minMAX {
  color: var(--warning);
  font-size: 12px;
  font-weight: bold;
}

.psc-framework\/button {
  font-size: 11px;
  margin-bottom: 5px;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 5px;
  padding-left: 10px;
  padding-right: 10px;
  text-align: center;
}

.psc-framework\/button-alarm-reset-active {
  background-color: var(--error);
  border-color: var(--neutral-50);
  border-style: none;
  border-width: 0.1px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  color: #FAFAFA;
  cursor: pointer;
  font-size: 11px;
  font-weight: bold;
  margin-bottom: 5px;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 5px;
  padding-left: 10px;
  padding-right: 10px;
  text-align: center;
}

.psc-framework\/button-alarm-reset-inactive {
  background-color: var(--neutral-10);
  border-color: var(--neutral-50);
  border-style: solid;
  border-width: 0.1px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  color: var(--neutral-70);
  font-size: 11px;
  font-weight: bold;
  margin-bottom: 5px;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 5px;
  padding-left: 10px;
  padding-right: 10px;
  text-align: center;
}

.psc-framework\/button-header-label {
  background-color: #0468bb;
  color: white;
  font-size: 14px;
  font-weight: bold;
  margin: 10px;
  text-align: center;
}

.psc-framework\/button-label {
  font-size: 11px;
  font-weight: bold;
}

.psc-framework\/button-selected {
  background-color: var(--qual-10);
  color: #323232;
}

.psc-framework\/button-state-working {
  background-color: var(--success);
  margin-bottom: 5px;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 5px;
  padding-left: 10px;
  padding-right: 10px;
  text-align: center;
}

.psc-framework\/description-label {
  color: var(--neutral-70);
  font-size: 12px;
  font-weight: bold;
  text-align: center;
}

.psc-framework\/description-tech-label {
  color: var(--neutral-70);
  font-size: 10px;
  text-align: center;
}

.psc-framework\/error {
  color: var(--error);
  font-size: 12px;
  font-weight: bold;
}

.psc-framework\/general-status-label {
  color: var(--neutral-10);
  font-size: 18px;
  font-weight: bold;
  margin-left: 2px;
  margin-right: 2px;
  text-align: center;
}

.psc-framework\/header {
  background-color: #0468bb;
  color: white;
  font-size: 14px;
  font-weight: normal;
  text-align: center;
}

.psc-framework\/margin-horizontal {
  margin-left: 10px;
  margin-right: 10px;
}

.psc-framework\/measurement-label {
  color: var(--neutral-70);
  font-size: 12px;
  text-align: center;
}

.psc-framework\/measurement-value {
  background-color: var(--neutral-10);
  color: var(--qual-10);
  font-size: 12px;
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-framework\/measurement-value-faulted {
  background-color: var(--neutral-10);
  color: var(--error);
  font-size: 12px;
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-framework\/measurement-value-setpoint {
  background-color: var(--neutral-10);
  color: var(--neutral-90);
  font-size: 12px;
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-framework\/pageTitle {
  color: var(--neutral-80);
  font-size: 20px;
  font-weight: 600;
  line-height: 38px;
}

.psc-framework\/setting-label {
  color: var(--neutral-70);
  font-size: 13px;
  padding-left: 5px;
  padding-right: 5px;
  text-align: right;
}

.psc-framework\/setting-value {
  color: var(--neutral-90);
  font-size: 12px;
  font-weight: bolder;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-framework\/settings-header {
  color: var(--neutral-70);
  font-size: 14px;
  font-weight: bolder;
  text-align: center;
}

.psc-framework\/sidebar-items {
  font-size: 14px;
  padding-left: 1rem!important;
}
.psc-framework\/sidebar-items:hover {
  background-color: var(--callToActionHighlight);
  cursor: pointer;
}
.psc-framework\/sidebar-items:last-child {
  border-bottom-style: none;
}
.psc-framework\/sidebar-items:first-child {
  border-top-color: var(--neutral-50);
  border-top-style: solid;
  border-top-width: 1px;
}

.psc-framework\/sidebar-items-mobile {
  font-size: 14px;
  padding-left: 1rem!important;
}
.psc-framework\/sidebar-items-mobile:hover {
  background-color: var(--callToActionHighlight);
  cursor: pointer;
}
.psc-framework\/sidebar-items-mobile:first-child {
  border-top-color: var(--neutral-50);
  border-top-style: solid;
  border-top-width: 1px;
}

.psc-framework\/sidebar-items-mobile-headers {
  background-color: var(--neutral-30);
  font-size: 14px;
  padding-left: 1rem!important;
}
.psc-framework\/sidebar-items-mobile-headers:first-child {
  border-top-color: var(--neutral-50);
  border-top-style: solid;
  border-top-width: 1px;
}

.psc-framework\/status {
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  color: var(--neutral-80);
  font-size: 12px;
  font-weight: bold;
  margin-bottom: 3px;
  margin-left: 3px;
  margin-right: 3px;
  margin-top: 3px;
  text-align: center;
  text-transform: uppercase;
}

.psc-framework\/status-auto {
  background-color: var(--success);
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  color: #FAFAFA;
  cursor: pointer;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}

.psc-framework\/status-device {
  color: var(--qual-10);
  font-size: 12px;
  font-weight: bold;
  padding-bottom: 2px;
  padding-top: 2px;
  text-align: center;
}

.psc-framework\/status-important {
  background-color: #CF7911;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  color: #FAFAFA;
  font-size: 12px;
  font-weight: bold;
  margin-bottom: 3px;
  margin-left: 3px;
  margin-right: 3px;
  margin-top: 3px;
  text-align: center;
  text-transform: uppercase;
}

.psc-framework\/status-local {
  background-color: #FFFF00;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  color: #323232;
  cursor: pointer;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}

.psc-framework\/warning-minMAX {
  color: var(--warning);
  font-size: 12px;
  font-weight: bold;
}

.psc-general\/button {
  font-size: clamp(10px, 1.5vw, 14px);
  padding-left: 10px;
  padding-right: 10px;
}

.psc-general\/container {
  padding: 10px;
}

.psc-general\/dropdown {
  font-size: clamp(10px, 1.5vw, 14px);
}

.psc-general\/flex-row {
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  margin: 5px;
  margin-bottom: 5px;
  margin-top: 5px;
  padding: 5px;
}

.psc-general\/flex-row_option {
  margin-bottom: 5px;
  margin-top: 5px;
}

.psc-general\/group {
  background-color: var(--neutral-10);
  border-color: var(--neutral-30);
  border-style: solid;
  border-width: thin;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  margin: 5px;
  outline-style: none;
  padding: 5px;
}

.psc-general\/group-title {
  font-size: clamp(14px, 2vw, 18px);
}

.psc-general\/group-title-centered {
  font-size: clamp(14px, 2vw, 18px);
  text-align: center;
}

.psc-general\/group_old {
  background-color: var(--neutral-20);
  border-color: var(--neutral-30);
  border-style: solid;
  border-width: thin;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  margin: 5px;
  outline-style: none;
  padding: 5px;
}

.psc-general\/label {
  font-size: clamp(10px, 1.5vw, 14px);
}

.psc-general\/legend-label {
  margin-bottom: 5px;
  margin-left: 5px;
  margin-right: 5px;
  margin-top: 5px;
}

.psc-general\/list-heading {
  font-size: 12px;
  letter-spacing: 1px;
  padding-left: 16px;
  text-transform: uppercase;
}

.psc-general\/list-heading-components {
  padding-left: 8px;
}

.psc-general\/numeric-entry-field {
  font-size: clamp(10px, 1.5vw, 14px);
}

.psc-general\/option-label {
  font-size: clamp(10px, 1.5vw, 14px);
  padding-right: 5px;
  text-align: right;
}

.psc-general\/page-title {
  color: var(--neutral-80);
  font-size: clamp(14px, 2.5vw, 20px);
  font-weight: 600;
  line-height: 48px;
  margin-bottom: 5px;
  margin-top: 5px;
}

.psc-general\/root-container {
  background-color: var(--neutral-20);
  padding: 10px;
}

.psc-general\/space-left {
  margin-left: 10px;
}

.psc-general\/table-label {
  font-size: clamp(10px, 1.5vw, 14px);
}

.psc-general\/table-value-padding {
  padding-left: 10px;
}

.psc-general\/text-area {
  font-size: clamp(10px, 1.5vw, 14px);
  margin-bottom: 5px;
  margin-top: 5px;
}

.psc-popup\/button {
  font-size: 14px;
  padding-left: 10px;
  padding-right: 10px;
}

.psc-popup\/container {
  padding: 15px;
}

.psc-popup\/dropdown {
  font-size: 14px;
  padding-left: 5px;
}

.psc-popup\/flex-row {
  margin-bottom: 5px;
  margin-top: 5px;
}

.psc-popup\/frame {
  border-style: solid;
  border-width: 0.5px;
}

.psc-popup\/label {
  font-size: 14px;
  text-align: start;
}

.psc-popup\/numeric-entry-field {
  font-size: 14px;
}

.psc-popup\/option-label {
  font-size: 14px;
  padding-right: 5px;
  text-align: right;
}

.psc-popup\/root-container {
  padding: 15px;
}

.psc-popup\/text-area {
  font-size: 14px;
  margin-bottom: 5px;
  margin-top: 5px;
}

.psc-popup\/title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 10px;
}

.psc-widget\/DashboardDataLabel {
  color: var(--neutral-60);
  font-size: clamp(10px, 1.5vw, 14px);;
  margin-left: 5px;
  text-transform: uppercase;
}

.psc-widget\/DashboardDataValue {
  font-size: clamp(25px, 2vw, 50px);;
  font-weight: bold;
  text-align: center;
}

.psc-widget\/Label {
  padding-right: 10px;
  text-align: right;
}

.psc-widget\/MachineDataLabel {
  color: var(--neutral-60);
  font-size: 10px;
  margin-left: 5px;
}

.psc-widget\/MachineDataValue {
  font-size: clamp(15px, 1.5vw, 20px);
  font-weight: bold;
  text-align: center;
}

.psc-widget\/MachineNumbersTimeSelection {
  margin-bottom: 5px;
  margin-left: 10px;
  margin-right: 15px;
  margin-top: 0px;
  overflow: visible;
}

.psc-widget\/Margin {
  margin: 5px;
}

.psc-widget\/RadioButton {
  font-size: 15px;
}

.psc-widget\/Setting {
  margin-bottom: 5px;
  margin-left: 5px;
  margin-right: 5px;
  margin-top: 5px;
  overflow: auto;
  text-align: left;
}

.psc-widget\/SettingLabel {
  cursor: pointer;
  margin: 5px;
  overflow: auto;
  text-align: right;
}

.psc-widget\/Title {
  color: var(--neutral-60);
  font-size: 12px;
  font-weight: normal;
  padding-left: 5px;
  text-align: left;
}

.psc-widget\/body {
  background-color: white;
  border-color: var(--neutral-30);
  border-style: solid;
  border-width: 1px;
}

.psc-widget\/frame {
  border-style: solid;
  border-width: 0.5px;
}

.psc-widget\/selectionButton {
  border-style: none;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  font-size: 18px;
  margin: 10px;
  text-align: center;
}

.psc-widget\/selectionButtonSelected {
  border-color: #3427E6;
  border-style: solid;
  border-width: 2px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  font-size: 18px;
  margin: 10px;
  text-align: center;
}
